Skip to main content
GET
/
api
/
v1
/
blocks
List reusable content blocks
curl --request GET \
  --url https://app.sajn.se/api/v1/blocks \
  --header 'authorization: <authorization>'
{
  "blocks": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "category": "<string>",
      "locale": "<string>",
      "isPublished": true,
      "sortOrder": 0,
      "workspaceId": "<string>",
      "organizationId": "<string>",
      "createdById": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "fields": [
        {
          "id": "<string>",
          "type": "<string>",
          "position": 0,
          "fieldMeta": "<string>"
        }
      ]
    }
  ],
  "totalPages": 0
}

Documentation Index

Fetch the complete documentation index at: https://docs.sajn.se/llms.txt

Use this file to discover all available pages before exploring further.

Headers

authorization
string
required

Bearer token for API authentication

Query Parameters

Response

200

blocks
object[]
required
totalPages
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991